## org.apache.hadoop.examples.dancing
Class Pentomino.Piece

    java.lang.Object
      org.apache.hadoop.examples.dancing.Pentomino.Piece

All Implemented Interfaces:
  Pentomino.ColumnName

Enclosing class:
  Pentomino

    protected static class Pentomino.Piece

extends Object
implements Pentomino.ColumnName

Maintain information about a puzzle piece.

Constructor Summary
`Pentomino.Piece(String name, String shape, boolean flippable, int[] rotations)`

Method Summary
`boolean` `getFlippable()`
`String` `getName()`
`int[]` `getRotations()`
`boolean[][]` `getShape(boolean flip, int rotate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Pentomino.Piece

    public Pentomino.Piece(String name,
                           String shape,
                           boolean flippable,
                           int[] rotations)

Method Detail

### getName

    public String getName()

### getRotations

    public int[] getRotations()

### getFlippable

    public boolean getFlippable()

### getShape

    public boolean[][] getShape(boolean flip,
                                int rotate)

Copyright © 2009 The Apache Software Foundation